<?php
namespace app\blog\controller;

use app\blog\controller\Front;

class Types extends Front
{
    protected function initialize()
    {
        parent::initialize(); 
    }
    
    public function index()
    {
        $this->site['title'] = $this->seoReplace(config('page.index_title'),true);
        $this->site['keywords'] = $this->seoReplace(config('page.index_keywords'));
        $this->site['description'] = $this->seoReplace(config('page.index_description'));
        $this->site['data'] = model('blog/Type','loglic')->allTree([
            'cache' => config('cache.expire_items'),
            'order' => [
                'type_weight' => 'desc',
            ],
            'where' => [
                ['type_status','eq','normal'],
            ],
        ]);
        $this->assign($this->site);
        return $this->fetch();
    }
}