<?php
namespace app\blog\form;

use app\common\loglic\Form;

class Channel extends Form
{
    public function items($data=[])
    {
        return [
            'theme' => [
                'type'        => 'select',
                'value'       => $data['theme'],
                'option'      => $this->optionTheme(),
                'required'    => true,
                'title'       => '模板主题（默认）',
                'class_row'   => 'row mb-3',
                'class_label' => 'col-3 col-form-label',
                'class_col'   => 'col-9',
            ],
            'theme_wap' => [
                'type'        => 'select',
                'value'       => $data['theme_wap'],
                'option'      => $this->optionTheme(),
                'required'    => true,
                'title'       => '模板主题（移动端）',
                'class_row'   => 'row mb-3',
                'class_label' => 'col-3 col-form-label',
                'class_col'   => 'col-9',
            ],
            'limit' => [
                'type'        => 'number',
                'value'       => $data['limit'],
                'required'    => true,
                'title'       => '默认分页大小',
                'class_row'   => 'row mb-3',
                'class_label' => 'col-3 col-form-label',
                'class_col'   => 'col-9',
            ],
            'limitAdminTag' => [
                'type'        => 'number',
                'value'       => $data['limitAdminTag'],
                'required'    => true,
                'title'       => '后台标签列表显示个数',
                'class_row'   => 'row mb-3',
                'class_label' => 'col-3 col-form-label',
                'class_col'   => 'col-9',
            ],
        ];
    }
}