<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=0">
<link href="{$pathStatic}/bootstrap/5.3.3/css/bootstrap.min.css?{:config('app.app_version')}" rel="stylesheet">
<link href="{$pathStatic}/bootstrap-icons/1.11.3/bootstrap-icons.min.css?{:config('app.app_version')}" rel="stylesheet">
<link href="{$pathView}/back.css?{:config('app.app_version')}" rel="stylesheet">
<link href="{$pathView}/{$module}/{$pathControll}/{$action}.css?{:config('app.app_version')}" rel="stylesheet">
<script>const CONFIG = {:json_encode($jsConfig)}</script>
<script src="{$pathStatic}/require/2.3.6/require.min.js?{:config('app.app_version')}" data-main="{$pathView}/back.js?{:config('app.app_version')}"></script>
{block name="head"}<title>{:lang($module.'/'.$pathControll.'/'.$action)}－{:config('app.app_name')}</title>{/block}
</head>
<body>
<nav class="navbar navbar-expand-sm navbar-dark bg-dark fixed-top">
  <div class="container-fluid">
    <a class="navbar-brand ms-1" href="{:xfUrl('admin/index/index')}">
      <i class="bi-xbox"></i>
      <span>{:config('app.app_name')}</span>
    </a>
    <ul class="navbar-nav ml-auto flex-row flex-wrap">
      <li class="nav-item">
        <a class="nav-link" href="{:xfUrl('admin/index/index')}" target="_self"><i class="fs-7 me-1 bi-gear"></i>后台首页</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="../../../" target="_blank"><i class="fs-7 me-1 bi-house-door"></i>网站前台</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{:xfUrl('admin/logout/index')}" target="_self"><i class="fs-7 me-1 bi-x-circle"></i>安全退出</a>
      </li>
    </ul>
  </div>
</nav>
<main class="row mx-0">
  <div class="col-left">
    <div class="accordion accordion-flush" id="siteBars">
      {volist name="siteBar" id="item"}
      <div class="accordion-item">
        <button class="accordion-button {:xfDefault($module.'/'.$controll,$item['active'],'','collapsed')}" type="button" data-bs-toggle="collapse" data-bs-target="#flush-{$i}" aria-expanded="false" aria-controls="flush-{$i}">
          <i class="me-2 fw-bold {$item.icon|default='bi-list'}"></i>
          <span>{$item.name}</span>
        </button>
        <div class="accordion-collapse collapse {:xfDefault($module.'/'.$controll,$item['active'],'show')}" id="flush-{$i}" data-bs-parent="#siteBars">
          {foreach $item['_child'] as $key=>$value}
          <div class="accordion-body">
            <a class="fs-7 {:xfDefault($module.'/'.$controll.'/'.$action,$value['active'],'text-primary')}" href="{:xfUrl($value['link'])}" target="{$value.target}">{$value.name}</a>
          </div>
          {/foreach}
        </div>
      </div>
      {/volist}
    </div>
  </div>
  <div class="col-right col position-relative">
    <div class="bg-gray p-3 rounded">{block name="main"}{/block}</div>
  </div>
</main>
</body>
</html>