{extend name="../back" /}
{block name="main"}
<h6 class="fw-bold mb-3">{:lang('admin/index/index')}</h6>
<ul class="list-group list-group-flush rounded">
  <li class="list-group-item">
    <div class="row">
      <div class="col-md-2">程序版本</div>
      <div class="col-md-10">{:config('app.app_version')}</div>
    </div>
  </li>
  <li class="list-group-item">
    <div class="row">
      <div class="col-md-2">最新版本</div>
      <div class="col-md-10" id="last-version" data-url="{:xfUrl('admin/index/version')}"><span class="spinner-border spinner-border-sm"></span></div>
    </div>
  </li>
  <li class="list-group-item">
    <div class="row">
      <div class="col-md-2">常见问题</div>
      <div class="col-md-10"><a href="https://www.gxcms.com/service/faq" target="_blank">查看</a></div>
    </div>
  </li>
  <li class="list-group-item">
    <div class="row">
      <div class="col-md-2">建议反馈</div>
      <div class="col-md-10">271513820@qq.com</div>
    </div>
  </li>
  <li class="list-group-item">
    <div class="row">
      <div class="col-md-2">服务器平台</div>
      <div class="col-md-10">{$Think.PHP_OS} {:input('server.server_software')}</div>
    </div>
  </li>
  <li class="list-group-item">
    <div class="row">
      <div class="col-md-2">物理路径</div>
      <div class="col-md-10">{:input('server.document_root')}</div>
    </div>
  </li>
  <li class="list-group-item">
    <div class="row">
      <div class="col-md-2">PHP版本</div>
      <div class="col-md-10">{$Think.PHP_VERSION}</div>
    </div>
  </li>
  <li class="list-group-item">
    <div class="row">
      <div class="col-md-2">PHP引擎</div>
      <div class="col-md-10">{$Think.PHP_SAPI}</div>
    </div>
  </li>
  <li class="list-group-item">
    <div class="row">
      <div class="col-md-2">数据库类型</div>
      <div class="col-md-10">{:config('database.type')}</div>
    </div>
  </li>
</ul>
{/block}