<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=0">
<title>管理员登录－{:config('app.app_name')}</title>
<link href="{$pathStatic}/bootstrap/5.3.3/css/bootstrap.min.css?{:config('app.app_version')}" rel="stylesheet">
<link href="{$pathStatic}/bootstrap-icons/1.11.3/bootstrap-icons.min.css?{:config('app.app_version')}" rel="stylesheet">
<link href="{$pathView}/back.css?{:config('app.app_version')}" rel="stylesheet">
<link href="{$pathView}/admin/login/index.css?{:config('app.app_version')}" rel="stylesheet">
<script>const CONFIG = {:json_encode($jsConfig)}</script>
<script src="{$pathStatic}/require/2.3.6/require.min.js?{:config('app.app_version')}" data-main="{$pathView}/back.js?{:config('app.app_version')}"></script>
</head>
<body>
<main class="container">
<div class="position-absolute top-50 start-50 translate-middle">
  <h4 class="text-center mb-3">管理员登录</h4>
  <div class="card mx-auto bg-gray text-dark border-0">
    <form class="card-body pt-4" action="{:xfUrl('admin/login/update')}" method="post" data-toggle="login">
      <div class="input-group mb-4">
        <span class="input-group-text"><i class="bi-person"></i></span>
        <input class="form-control fs-0" name="user_name" id="user_name" type="text" placeholder="用户名" maxlength="11" autocomplete="off" required>
      </div>
      <div class="input-group mb-4">
        <span class="input-group-text"><i class="bi-key"></i></span>
        <input class="form-control fs-0" name="user_pass" id="user_pass" type="password" placeholder="密码（6-15位）" maxlength="15" autocomplete="off" required>
      </div>
      <div class="input-group mb-4">
        <span class="input-group-text"><i class="bi-code"></i></span>
        <input class="form-control fs-0" name="captcha_image" id="captcha_image" type="text" placeholder="验证码" maxlength="4" autocomplete="off" required>
        <span class="input-group-text p-0"><img class="rounded" id="captcha-image" src="{:xfUrl('home/captcha/index')}" alt="captcha" width="88" height="40"/></span>
      </div>
      <div class="d-grid mb-0">
        <button class="btn btn-secondary btn-block">密码登录</button>
      </div>
    </form>
  </div>
</div>
</main>
</body>
</html>