{extend name="../front" /}
{block name="main"}
<main class="container">
  <div class="card">
    <div class="card-body card-with">
      <h6 class="card-title fw-bold">最近更新</h6>
      <p class="card-text text-muted small mb-2">{$description}</p>
      {volist name="data" id="item"}
      {include file='item' /}
      {/volist}
    </div>
  </div>
  {if $pages}
  <div class="rounded bg-white mt-3 p-3">{$pages|raw}</div>
  {/if}
  <div class="card mt-3">
    <div class="card-body pb-1">
      <h6 class="card-title">友情链接</h6>
      <div class="row">
      {volist name=":model('common/Link','loglic')->items(10)" id="item"}
        <div class="col-6 col-md-2 py-1"><a class="text-muted" href="{$item.link_url}" target="_blank" title="{$item.link_info}">{$item.link_name|xfSubstr=0,10}</a></div>
      {/volist}
      </div>
    </div>
  </div>
</main>
{/block}