{extend name="../front" /}
{block name="main"}
<main class="container">
  <div class="card">
    <div class="card-body pb-0">
      <h6 class="card-title fw-bold">{:config('page.types_title')}</h6>
      <p class="card-text text-muted small">{:config('page.types_description')}</p>
      <dl>{volist name="data" id="item"}
        <dt class="mb-2"><a href="{:xfUrlType($item)}" title="{$item.type_name}">{$item.type_name}</a></dt>
        {foreach name="item._child" id="child"}
        <dd class="text-truncate">- <a class="text-muted" href="{:xfUrlType($child)}" title="{$child.type_name}">{$child.type_name}</a></dd>
        {/foreach}
      {/volist}</dl>
    </div>
  </div>
</main>
{/block}